# Update Machine (/machines/Machines_update)

Update a Machine's configuration using the details provided in the request body.


`POST /apps/{app_name}/machines/{machine_id}`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `app_name` | path | `string` | Yes | Fly App Name |
| `machine_id` | path | `string` | Yes | Machine ID |

## Request Body

Type: `UpdateMachineRequest`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `config` | `fly.MachineConfig` | No | An object defining the Machine configuration |
| `current_version` | `string` | No |  |
| `lease_ttl` | `integer` | No |  |
| `min_secrets_version` | `integer` | No |  |
| `name` | `string` | No | Unique name for this Machine. If omitted, one is generated for you |
| `region` | `string` | No | The target region. Omitting this param launches in the same region as your WireGuard peer connection (somewhere near you). |
| `skip_launch` | `boolean` | No |  |
| `skip_secrets` | `boolean` | No |  |
| `skip_service_registration` | `boolean` | No |  |

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | OK | `Machine` |
| `400` | Bad Request | `ErrorResponse` |

The full machine-readable OpenAPI spec is available at /openapi.json.